Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 150663 - [65cat] SQL History: vertical resize doesn't resize all components
[65cat] SQL History: vertical resize doesn't resize all components
Status: VERIFIED FIXED
Product: db
Classification: Unclassified
Component: SQL Editor
6.x
All All
: P3 (vote)
: 6.x
Assigned To: John Baker
issues@db
65fixes1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-19 21:24 UTC by Petr Pisl
Modified: 2008-12-11 22:29 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
The screenshot. (15.08 KB, image/png)
2008-10-19 21:25 UTC, Petr Pisl
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Pisl 2008-10-19 21:24:22 UTC
See the attached screenshot.
Comment 1 Petr Pisl 2008-10-19 21:25:09 UTC
Created attachment 72232 [details]
The screenshot.
Comment 2 John Baker 2008-10-31 01:46:28 UTC
424a1703490b
Comment 3 Roman Mostyka 2008-10-31 12:59:57 UTC
Verified with build 081031.
Comment 4 Quality Engineering 2008-10-31 16:29:51 UTC
Integrated into 'main-golden', will be available in build *200810311401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/424a1703490b
User: John Baker <jbaker@netbeans.org>
Log: #150663 fix
Comment 5 pgebauer 2008-11-10 15:07:27 UTC
Since this issue is P3 priority, in accord with rules "How to include issues into patch"
(http://wiki.netbeans.org/NetBeansPatches) it must include an explanation as to why its backport is necessary and how
safe it is.

Could you please provide such explanation?
Comment 6 Roman Mostyka 2008-11-10 17:51:41 UTC
John, could you include an explanation as to why its backport is necessary?
Actually component, which isn't resized, is most important component in this dialog, but I don't know how often
customers resize this dialog.
And could you tell also how the fix is safe if you still think that this fix should be in the Patch 1?
Comment 7 John Baker 2008-11-10 18:01:43 UTC
The fix is definitely safe, but not necessary.

It's a very nice to have.  At least one netcat user wanted this behavior.
Comment 8 Michel Graciano 2008-11-14 17:05:30 UTC
Hi people,
yes, this kind of fix is really important to improve the user experience. I really hope to see it asap in my IDE. :)

Thanks
Comment 9 John Baker 2008-11-18 08:03:25 UTC
Sustaining, will this be included in the 6.5 patch?  See previous comment from Customer
Comment 10 pgebauer 2008-11-18 10:08:05 UTC
Yes, we will include the issue into the patch process. If we don't discover any problem (for example with a NBM
delivery), the issue will be in the 65patch1.
Comment 11 rbalada 2008-11-18 13:47:18 UTC
I've transplanted the changeset http://hg.netbeans.org/main/rev/424a1703490b into release65_fixes repository as 
http://hg.netbeans.org/release65_fixes/rev/89fbe66b9a68


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo